.. _api:

API documentation
=================

.. toctree::
   :maxdepth: 1

   errors
   version
   loop
   handle
   request
   timer
   prepare
   check
   idle
   async
   poll
   signal
   process
   stream
   tcp
   pipe
   tty
   udp
   fs_event
   fs_poll
   fs
   threadpool
   dns
   dll
   threading
   misc
   metrics

